Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TFunctionCall

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TFunctionCall

All Implemented Interfaces:
  Visitable

    public class TFunctionCall

extends TParseTreeNode

Field Summary
`static int` | `fntAddDate`
`static int` | `fntCaseN`
`static int` | `fntCast` cast(expr as typename)
`static int` | `fntContains` sql server contains function
`static int` | `fntConvert` convert(typename,[null|not null] expr1 [,expr2])
`static int` | `fntCSUM`
`static int` | `fntDateAdd`
`static int` | `fntDateSub`
`static int` | `fntExtract` extract([arg from expr])
`static int` | `fntExtractXML` Oracle Extract(XML) related properties:
`static int` | `fntFreetext` sql server freetext
`static int` | `fntGroupConcat`
`static int` | `fntMatchAgainst`
`static int` | `fntOGC` SQL Server 2008, the Open Geospatial Consortium (OGC) methods on geography instances
`static int` | `fntPosition`
`static int` | `fntRangeN`
`static int` | `fntRank`
`static int` | `fntSubDate`
`static int` | `fntSubstring`
`static int` | `fntSubString`
`static int` | `fntTimestampAdd`
`static int` | `fntTimestampDiff`
`static int` | `fntTranslate`
`static int` | `fntTranslateCHK`
`static int` | `fntTreat`
`static int` | `fntTrim` trim([both|leading|trailing] expr [from expr])
`static int` | `fntUdf`
`static int` | `fntXmlQuery`
`TExpression` | `Trim_Expr`
`TExpression` | `Trim_From_Expr`

Constructor Summary
`TFunctionCall()`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`void` | `doParse(TCustomSqlStatement psql, ESqlClause plocation)` analyze this node
`TExpression` | `getAgainstExpr()` against expr in match function of MySQL
`TAnalyticFunction` | `getAnalyticFunction()`
`TExpressionList` | `getArgs()`
`TExpression` | `getBetweenExpr()`
`TDatatypeAttribute` | `getDatatypeAttribute()`
`TDummy` | `getDummy()`
`TExpression` | `getExpr1()` paramter of following functions teradata: position function, sql server: convert; oracle: convert,translate,cast mysql: substring
`TExpression` | `getExpr2()`
`TExpression` | `getExpr3()`
`TGroupingExpressionItemList` | `getExprList()`
`TSourceToken` | `getExtractArg()`
`TObjectName` | `getFunctionName()`
`int` | `getFuncType()`
`TInExpr` | `getInExpr()`
`TObjectNameList` | `getMatchColumns()` column list in match function of MySQL
`TExpression` | `getNamespace_String()`
`TExpression` | `getRangeSize()`
`TOrderBy` | `getSortClause()`
`TTrimArgument` | `getTrimArgument()`
`TTypeName` | `getTypename()`
`TWindowDef` | `getWindowDef()` Over clause of window function
`TExpression` | `getXMLType_Instance()`
`TExpression` | `getXPath_String()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `setAgainstExpr(TExpression againstExpr)`
`void` | `setAnalyticFunction(TAnalyticFunction analyticFunction)`
`void` | `setArgs(TExpressionList args)`
`void` | `setBetweenExpr(TExpression betweenExpr)`
`void` | `setDatatypeAttribute(TDatatypeAttribute datatypeAttribute)`
`void` | `setDummy(TDummy dummy)`
`void` | `setExpr1(TExpression expr1)`
`void` | `setExpr2(TExpression expr2)`
`void` | `setExpr3(TExpression expr3)`
`void` | `setExprList(TGroupingExpressionItemList exprList)`
`void` | `setExtractArg(TSourceToken extractArg)`
`void` | `setExtractXMLArg(TExpressionList exprList)`
`void` | `setFuncType(int funcType)`
`void` | `setInExpr(TInExpr inExpr)`
`void` | `setMatchColumns(TObjectNameList matchColumns)`
`void` | `setRangeSize(TExpression rangeSize)`
`void` | `setSortClause(TOrderBy sortClause)`
`void` | `setTrimArgument(TTrimArgument trimArgument)`
`void` | `setTypename(TTypeName typename)`
`void` | `setWindowDef(TWindowDef windowDef)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fntUdf

    public static final int fntUdf

See Also:
  Constant Field Values

### fntTrim

    public static final int fntTrim

  trim([both|leading|trailing] expr [from expr])

  Corresponding proeprties:

  `getTrimArgument()`

  See Also:
    Constant Field Values

### fntCast

    public static final int fntCast

  cast(expr as typename)

  or, teradata

  cast(expr as typename [,datatypeAttribute]),

  cast(expr as datatypeAttribute)

  Corresponding proeprties:

  `getExpr1()`

  `getTypename()`

  `getDatatypeAttribute()`

  See Also:
    Constant Field Values

### fntConvert

    public static final int fntConvert

  convert(typename,[null|not null] expr1 [,expr2])

  corresponding properties:

  `getTypename()`

  `getExpr1()`

  `getExpr2()`

  See Also:
    Constant Field Values

### fntExtract

    public static final int fntExtract

  extract([arg from expr])

  corresponding properties:

  `getExtractArg()`

  `getExpr1()`

  See Also:
    Constant Field Values

### fntTreat

    public static final int fntTreat

See Also:
  Constant Field Values

### fntContains

    public static final int fntContains

  sql server contains function

  contains(in_expr, expr [,langTerm])

  corresponding properties:

  `getInExpr()`

  `getExpr1()`

  `=> langTerm`

  See Also:
    Constant Field Values

### fntFreetext

    public static final int fntFreetext

  sql server freetext

  freetext(contain in expr, expr [,langTerm])

  `getInExpr()`

  `getExpr1()`

  `=> langTerm`

  See Also:
    Constant Field Values

### fntCaseN

    public static final int fntCaseN

See Also:
  Constant Field Values

### fntRangeN

    public static final int fntRangeN

See Also:
  Constant Field Values

### fntPosition

    public static final int fntPosition

See Also:
  Constant Field Values

### fntSubstring

    public static final int fntSubstring

See Also:
  Constant Field Values

### fntTranslate

    public static final int fntTranslate

See Also:
  Constant Field Values

### fntTranslateCHK

    public static final int fntTranslateCHK

See Also:
  Constant Field Values

### fntCSUM

    public static final int fntCSUM

See Also:
  Constant Field Values

### fntRank

    public static final int fntRank

See Also:
  Constant Field Values

### fntXmlQuery

    public static final int fntXmlQuery

See Also:
  Constant Field Values

### fntSubString

    public static final int fntSubString

See Also:
  Constant Field Values

### fntAddDate

    public static final int fntAddDate

See Also:
  Constant Field Values

### fntDateAdd

    public static final int fntDateAdd

See Also:
  Constant Field Values

### fntSubDate

    public static final int fntSubDate

See Also:
  Constant Field Values

### fntDateSub

    public static final int fntDateSub

See Also:
  Constant Field Values

### fntTimestampAdd

    public static final int fntTimestampAdd

See Also:
  Constant Field Values

### fntTimestampDiff

    public static final int fntTimestampDiff

See Also:
  Constant Field Values

### fntGroupConcat

    public static final int fntGroupConcat

See Also:
  Constant Field Values

### fntMatchAgainst

    public static final int fntMatchAgainst

See Also:
  Constant Field Values

### fntExtractXML

    public static final int fntExtractXML

  Oracle Extract(XML) related properties:

  `getXMLType_Instance()`

  `getXPath_String()`

  `getNamespace_String()`

  See Also:
    Constant Field Values

### fntOGC

    public static final int fntOGC

  SQL Server 2008, the Open Geospatial Consortium (OGC) methods on geography instances

  See Also:
    Constant Field Values

### Trim_Expr

    public TExpression Trim_Expr

### Trim_From_Expr

    public TExpression Trim_From_Expr

Constructor Detail

### TFunctionCall

    public TFunctionCall()

Method Detail

### setSortClause

    public void setSortClause(TOrderBy sortClause)

### getSortClause

    public TOrderBy getSortClause()

### getWindowDef

    public TWindowDef getWindowDef()

  Over clause of window function

  Returns:

### setWindowDef

    public void setWindowDef(TWindowDef windowDef)

### setDatatypeAttribute

    public void setDatatypeAttribute(TDatatypeAttribute datatypeAttribute)

### getDatatypeAttribute

    public TDatatypeAttribute getDatatypeAttribute()

### getExtractArg

    public TSourceToken getExtractArg()

### setExtractArg

    public void setExtractArg(TSourceToken extractArg)

### setDummy

    public void setDummy(TDummy dummy)

### getDummy

    public TDummy getDummy()

### setInExpr

    public void setInExpr(TInExpr inExpr)

### getInExpr

    public TInExpr getInExpr()

### setExtractXMLArg

    public void setExtractXMLArg(TExpressionList exprList)

### getNamespace_String

    public TExpression getNamespace_String()

### getXPath_String

    public TExpression getXPath_String()

### getXMLType_Instance

    public TExpression getXMLType_Instance()

### getMatchColumns

    public TObjectNameList getMatchColumns()

  column list in match function of MySQL

  Returns:

### getAgainstExpr

    public TExpression getAgainstExpr()

  against expr in match function of MySQL

  Returns:

### setMatchColumns

    public void setMatchColumns(TObjectNameList matchColumns)

### setAgainstExpr

    public void setAgainstExpr(TExpression againstExpr)

### setTypename

    public void setTypename(TTypeName typename)

### getTypename

    public TTypeName getTypename()

### getRangeSize

    public TExpression getRangeSize()

### getBetweenExpr

    public TExpression getBetweenExpr()

### setRangeSize

    public void setRangeSize(TExpression rangeSize)

### setBetweenExpr

    public void setBetweenExpr(TExpression betweenExpr)

### getFunctionName

    public TObjectName getFunctionName()

### setTrimArgument

    public void setTrimArgument(TTrimArgument trimArgument)

### getTrimArgument

    public TTrimArgument getTrimArgument()

### setExpr1

    public void setExpr1(TExpression expr1)

### setExpr2

    public void setExpr2(TExpression expr2)

### getExpr1

    public TExpression getExpr1()

  paramter of following functions
  teradata: position function,
  sql server: convert;
  oracle: convert,translate,cast
  mysql: substring

  Returns:

### getExpr2

    public TExpression getExpr2()

### setExpr3

    public void setExpr3(TExpression expr3)

### getExpr3

    public TExpression getExpr3()

### setExprList

    public void setExprList(TGroupingExpressionItemList exprList)

### getExprList

    public TGroupingExpressionItemList getExprList()

### setArgs

    public void setArgs(TExpressionList args)

### setFuncType

    public void setFuncType(int funcType)

### getFuncType

    public int getFuncType()

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

### setAnalyticFunction

    public void setAnalyticFunction(TAnalyticFunction analyticFunction)

### getArgs

    public TExpressionList getArgs()

### doParse

    public void doParse(TCustomSqlStatement psql,
                        ESqlClause plocation)

  Description copied from class: `TParseTreeNode`
  analyze this node

  Overrides:
    `doParse` in class `TParseTreeNode`

### getAnalyticFunction

    public TAnalyticFunction getAnalyticFunction()

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD